# Strava

Strava is a leading fitness tracking platform that connects athletes and outdoor enthusiasts by allowing them to record and share their activities. By integrating with Strava, our wearable data platform and API can provide comprehensive insights into users' fitness journeys, enriching the overall user experience.

## Create your own oAuth-client for Strava

* Sign up for a Strava account at <https://www.strava.com/register/free>
* Navigate to <https://www.strava.com/settings/api> Fill out "Application Name" with your Thryve API app's name

![](https://ajeuwbhvhr.cloudimg.io/colony-recorder.s3.amazonaws.com/files/2022-11-07/c872429a-efb0-4f59-a8be-dcc532449089/user_cropped_screenshot.jpeg?tl_px=12,69\&br_px=872,550\&force_format=png\&width=860\&wat_scale=76\&wat=1\&wat_opacity=0.7\&wat_gravity=northwest\&wat_url=https://colony-recorder.s3.us-west-1.amazonaws.com/images/watermarks/FB923C_standard.png\&wat_pad=402,212)

* &#x20;Choose a category that best fits your use case - if in doubt, choose "Social motivation"

![](https://ajeuwbhvhr.cloudimg.io/colony-recorder.s3.amazonaws.com/files/2022-11-07/33f366ed-a0d5-48c7-b9af-88fc1141622c/user_cropped_screenshot.jpeg?tl_px=3,131\&br_px=862,612\&force_format=png\&width=860\&wat_scale=76\&wat=1\&wat_opacity=0.7\&wat_gravity=northwest\&wat_url=https://colony-recorder.s3.us-west-1.amazonaws.com/images/watermarks/FB923C_standard.png\&wat_pad=402,212)

* Fill out the "Authorization Callback Domain" field with the following URL structure: `https://${appName}.und-gesund.de`&#x20;
* Read Strava's API agreement
* Click "I've read and agree with Strava's API Agreement"

![](https://ajeuwbhvhr.cloudimg.io/colony-recorder.s3.amazonaws.com/files/2022-11-07/d77c213b-9d05-495c-af21-4fc11fb7abc3/user_cropped_screenshot.jpeg?tl_px=0,371\&br_px=859,852\&force_format=png\&width=860\&wat_scale=76\&wat=1\&wat_opacity=0.7\&wat_gravity=northwest\&wat_url=https://colony-recorder.s3.us-west-1.amazonaws.com/images/watermarks/FB923C_standard.png\&wat_pad=356,333)

* Click "Create".

![](https://ajeuwbhvhr.cloudimg.io/colony-recorder.s3.amazonaws.com/files/2022-11-07/dea6d672-4a5f-4516-afe0-f6883b68d767/user_cropped_screenshot.jpeg?tl_px=0,371\&br_px=859,852\&force_format=png\&width=860\&wat_scale=76\&wat=1\&wat_opacity=0.7\&wat_gravity=northwest\&wat_url=https://colony-recorder.s3.us-west-1.amazonaws.com/images/watermarks/FB923C_standard.png\&wat_pad=395,382)

* Upload your app's logo and press "Save"

![](https://ajeuwbhvhr.cloudimg.io/colony-recorder.s3.amazonaws.com/files/2022-11-07/907f4cae-2334-4fac-889e-2e8376be7764/ascreenshot.jpeg?tl_px=133,121\&br_px=992,602\&force_format=png\&width=860\&wat_scale=76\&wat=1\&wat_opacity=0.7\&wat_gravity=northwest\&wat_url=https://colony-recorder.s3.us-west-1.amazonaws.com/images/watermarks/FB923C_standard.png\&wat_pad=402,212)

5. **Share credentials with Thryve**&#x20;

After you have created your App, you will be provided with your:

* ClientID
* ClientSecret

Please encrypt these credentials using our [secret sharing service](https://secret.thryve.de/) and then [share](https://thryve.zendesk.com/hc/en-us/requests/new) the resulting link with our Customer Operations Team.

&#x20;&#x20;

### **Apply for the Strava developer program** <a href="#h_01hw8jpbbhz0ckeb90r4nka8h3" id="h_01hw8jpbbhz0ckeb90r4nka8h3"></a>

Strava has recently implemented stricter API limits for new apps. If you find that your app's current limits are insufficient, you'll need to apply for their partnership program [here](https://share.hsforms.com/1VXSwPUYqSH6IxK0y51FjHwcnkd8).

This form shouldn't take longer than 5 minutes to fill out, and submitted forms are typically reviewed within one week.

{% hint style="info" %}
Understanding the `${appName}` Variable

In this guide, you'll see the placeholder `${appName}`. Whenever you encounter it, replace it with your actual partner name, exactly as it's registered in our system.<br>

For example, if your partner name is `yourcompany`, then:

`https://${appName}.und-gesund.de/dataSourcesSwitch.html`&#x20;

should become:

`https://yourcompany.und-gesund.de/dataSourcesSwitch.html`&#x20;

If you're unsure what your `${appName}` is, please refer your web authentication username, it usually follows the format `${appName}-api`. Otherwise, feel free to [contact us](https://thryve.zendesk.com/hc/en-us/requests/new) and we’ll confirm it for you.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.thryve.health/strava.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
